Name:           python-service-identity
Version:        16.0.0
Release:        13
Summary:        Service Identity Verification for pyOpenSSL & cryptography
License:        MIT
URL:            https://github.com/pyca/service_identity
Source0:        https://github.com/pyca/service_identity/archive/%{version}/service-identity-%{version}.tar.gz
Patch0:         fix-pytest-error-py3.patch
BuildArch:      noarch

%description
Service_identity aspires to give you all the tools you need for
verifying whether a certificate is valid for the intended purposes.

In the simplest case, this means host name verification. However,
service_identity implements RFC 6125 fully and plans to add other
relevant RFCs too.

%package -n python3-service-identity
Summary:          Service Identity Verification for pyOpenSSL & cryptography
%{?python_provide:%python_provide python3-service-identity}
BuildRequires:    python3-devel python3-setuptools python3-pytest python3-attrs
BuildRequires:    python3-pyasn1 python3-pyasn1-modules python3-pyOpenSSL python3-idna
Requires:         python3-attrs python3-pyasn1 python3-pyasn1-modules python3-pyOpenSSL
Recommends:       python3-idna

%description -n python3-service-identity
Service_identity aspires to give you all the tools you need for
verifying whether a certificate is valid for the intended purposes.

In the simplest case, this means host name verification. However,
service_identity implements RFC 6125 fully and plans to add other
relevant RFCs too.
Python 3 version.

%prep
%autosetup -n service-identity-%{version}

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v

%files -n python3-service-identity
%license LICENSE
%doc README.rst
%{python3_sitelib}/{service_identity-*.egg-info/,service_identity/}

%changelog
* Thu Jul 22 2021 wangxiyuan <wangxiyuan1007@gmail.com> - 16.0.0-13
- Drop python2 support
* Thu Feb 27 2020 duyeyu <duyeyu@huawei.com> - 16.0.0-12
- Initial package.
